package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserDGTheme;
import com.sa.ibiz.demo.demo.service.dto.UserDGThemeSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserDGTheme] 服务对象接口
 */
public interface UserDGThemeService extends IService<UserDGTheme>{

	boolean update(UserDGTheme et);
		UserDGTheme get(UserDGTheme et);
	boolean getDraft(UserDGTheme et);
	boolean remove(UserDGTheme et);
	boolean checkKey(UserDGTheme et);
	boolean create(UserDGTheme et);
    List<UserDGTheme> listDefault(UserDGThemeSearchFilter filter) ;
	Page<UserDGTheme> searchDefault(UserDGThemeSearchFilter filter);
	/**	 实体[UserDGTheme] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }